/* XiaoMingwei 2018-06-28 创建 **/
const $_BASE = (function(){
    return {
        /*获取地址栏参数*/
        getQueryString:function(name){
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
            var r = window.location.search.substr(1).match(reg);
            if (r != null) return unescape(r[2]); return null;
        },
        /*设置cookie*/
        setCookie:function(name,value,days){
            var Days = days ? days : 30;
            var exp = new Date();
            exp.setTime(exp.getTime() + Days*24*60*60*1000);
            document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
        },
        /*读取cookie*/
        getCookie:function(name){
            var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");
            if(arr=document.cookie.match(reg))
            return unescape(arr[2]);
            else
            return null;
        },
        /*清除cookie*/
        delCookie:function(name){
            var date = new Date(); 
            date.setTime(date.getTime() - 10000); 
            document.cookie = name + "=null; expires=" + date.toGMTString(); 
        },
        /*判断是否为手机号*/
        isPhoneNumber:function(text){
            var myreg=/^[1][3,4,5,7,8][0-9]{9}$/;
            if (!myreg.test(text)) {
                return false;
            } else {
                return true;
            }
        },
        /*判断是否为邮箱地址*/
        isEmailAddress:function(text){
            var filter  = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
             if (filter.test(mail)) {
                 return true;
             }else {
                 return false;
             }
        },
        /*判断两次密码是否一致且不为空*/
        twoSamePassword:function(psw1,psw2){
            if(psw1 == "" || psw2 == "" || psw1 != psw2){
                return false;
            }else{
                return true;
            }
        },
        /*去掉字符串前后的空格*/
        delAroundSpace:function(text){
            return str.replace(/(^\s+)|(\s+$)/g,"");
        },
        /*去掉字符串中间的空格*/
        delMiddleSpace:function(text){
            return  result.replace(/\s/g,"");
        },
        /*去掉字符串中html标记*/
        delHtmlElement:function(text){
            return str.replace(/<\/?[^>]*>/gim,"");
        },
        /*数组元素调换位置*/
        arrayExchangeElement:function(array,num1,num2){
            
        },
        /*阻止冒泡*/
        /*注意：使用时无需传参event*/
        preventBubble:function(event){
            var e=arguments.callee.caller.arguments[0]||event; //若省略此句，下面的e改为event，IE运行可以，但是其他浏览器就不兼容
            if (e && e.stopPropagation) {
                e.stopPropagation();
            } else if (window.event) {
                window.event.cancelBubble = true;
            }
        },
        /*获取当前时间 默认2018-07-08 12:44*/
        getDate:function(){
			var date = new Date();
			var mon = date.getMonth()  + 1;         //getMonth()返回的是0-11，则需要加1
			if(mon <=9)                                 //如果小于9的话，则需要加上0
				mon = "0" + mon;
			var day = date.getDate();                   //getdate()返回的是1-31，则不需要加1
			if(day <=9)                                    //如果小于9的话，则需要加上0
				day = "0" + day;
			var hour = date.getHours();
			if(hour <=9)                                     //如果小于9的话，则需要加上0
				hour = "0" + hour;
			var minutes = date.getMinutes();
			if(minutes <=9)                                     //如果小于9的话，则需要加上0
				minutes = "0" + minutes;
			return date.getFullYear()+"-"+mon+"-"+day+" "+hour+":"+minutes;
	   },
	   /*获取当前时间的时间戳*/
	   getNowTime:function(){
	    	return new Date().getTime();
	   },
	   getFileSize:function(size){
	   	    if (!size)
				return "";
		
			var num = 1024.00; //byte
			if (size < num)
				return size + "B";
			if (size < Math.pow(num, 2))
				return (size / num).toFixed(2) + "K"; //kb
			if (size < Math.pow(num, 3))
				return (size / Math.pow(num, 2)).toFixed(2) + "M"; //M
			if (size < Math.pow(num, 4))
				return (size / Math.pow(num, 3)).toFixed(2) + "G"; //G
			return (size / Math.pow(num, 4)).toFixed(2) + "T"; //T
	   },
	   getUuid:function(len,radix){
	   	    var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
		    var uuid = [], i;
		    radix = radix || chars.length;
		 
		    if (len) {
		      // Compact form
		      for (i = 0; i < len; i++) uuid[i] = chars[0 | Math.random()*radix];
		    } else {
		      // rfc4122, version 4 form
		      var r;
		 
		      // rfc4122 requires these characters
		      uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
		      uuid[14] = '4';
		 
		      // Fill in random data.  At i==19 set the high bits of clock sequence as
		      // per rfc4122, sec. 4.1.5
		      for (i = 0; i < 36; i++) {
		        if (!uuid[i]) {
		          r = 0 | Math.random()*16;
		          uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
		        }
		      }
		    }
		    return uuid.join('');
	   },
	   //毫秒转时分秒
	   formatDuring: function(mss) {
		  var days = parseInt(mss / (1000 * 60 * 60 * 24));
		  var hours = parseInt((mss % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
		  var minutes = parseInt((mss % (1000 * 60 * 60)) / (1000 * 60));
		  var seconds = parseInt((mss % (1000 * 60)) / 1000);
		  var tms = "";
		  if(days){
		  	return days + " 天 " + hours + " 时 " + minutes + " 分 " + seconds + " 秒 ";
		  }else if(hours){
		  	return hours + " 时 " + minutes + " 分 " + seconds + " 秒 ";
		  }else if(minutes){
		  	return minutes + " 分 " + seconds + " 秒 ";
		  }else if(seconds){
		  	return seconds + " 秒 ";
		  }else{
		  	return "";
		  }
		}
    }
})();
/*数组去重*/
Array.prototype.unique = function(){
    var res = [];
    var json = {};
    for(var i = 0; i < this.length; i++){
        if(!json[this[i]]){
            res.push(this[i]);
            json[this[i]] = 1;
        }
    }
    return res;
}
/*按照值删除数组某一项*/
Array.prototype.removeByValue = function(val) { 
	var index = this.indexOf(val); 
	if (index > -1) { 
	this.splice(index, 1); 
	} 
};
/*按照序号删除数组某一项*/
Array.prototype.removeByIndex = function(val) { 
	this.splice(val, 1); 
};