/**
 * Created by XiaoMingwei on 2018/11/1.
 */

/** 处理正文中的段首占位空格 **/
function replaceNBSP() {
    if(  $( ".content" ).length == 0 ) return;
    var nodes = $( ".content" ).get(0).childNodes;
    if( nodes )
        for( var i = 0; i < nodes.length; i++ ) {
            var innerHTML = nodes[i].innerHTML;
            if( innerHTML ) {
                var str = "";
                for( var s = 0; s < innerHTML.length; s++ ) {
                    if( innerHTML[s] == " " )
                        str += "&nbsp;";
                    else {
                        if( s > 0 ) innerHTML = innerHTML.replace( innerHTML.substr( 0, s ), str );
                        break;
                    }
                }
                nodes[i].innerHTML = innerHTML;
            }
        }
}

/** 处理正文中的图片点击放大 **/
function addImgListener() {
    $( ".content img" ).each( function( i, img ) {
        if( img.getAttribute( "data-plugin-type" == "video" ) ) return true;
        img.setAttribute( "data-index", i );
        img.onclick = onClickContentImage;
    } );
}

/** 处理正文中的内链点击 **/
function addContentLinkListener() {
    $( ".content label[data-plugin-type='content']" ).each( function( i, lab ) {
        lab.onclick = onClickContentLink;
    } );
}

/** 处理正文视频 **/
function replaceVideo() {
    /**
     <section data-plugin-type='video' style='text-align:center;margin-bottom:1em;'>
     <img src='节目图片' data-value='节目JSON' style='max-width:100%;height:auto;margin:10px auto;'></img>
     </section>
     **/
    /**
     {
        id: [ Integer ] 节目ID,
        createdTime: [ String ] 创建时间，yyyy-MM-dd hh:mm:ss,
        programName: [ String ] 节目名称,
        image: [ String ] 节目缩略图,
        video: [ Object ] 节目下视频
        {
            videoId: [ Integer ] 视频ID,
            displayName: [ String ] 视频名称,
            videoImage: [ String ] 视频图片,
            streamList: [ Array ] 码流列表
            [
                {
                    streamId: [ Integer ] 码流名称ID,
                    streamDisplayName: [ String ] 码流显示名称
                    url: [ String ] 完整播放地址,
                    isDefault: [ Integer ] 默认播放1、是；0、否
                }
            ]
        }
     }
     **/
    $( "section[data-plugin-type='video']" ).each( function( i, section ) {
        $( section ).find( "div" ).replaceWith( "<div class='video_play_btn'></div>" );
        $( section ).find( ".video_play_btn" ).unbind( "click" );
        $( section ).find( ".video_play_btn" ).bind( "click", function( event ) {
            var program = JSON.parse( $( event.target ).parent( "section" ).find( "img" ).get(0).getAttribute( "data-value" ) );
            if( null == program ) return;
            var video = program.video;
            if( null == video ) return;
            if( null == video.streamList ) return;
            if( 0 == video.streamList.length ) return;
            var stream = video.streamList[0];
            for( var s = 0; s < video.streamList.length; s++ )
                if( video.streamList[s].isDefault == 1 )
                    stream = video.streamList[s];
			
			$( event.target ).parent( "section" ).html('<video id="player'+i+'" src="'+stream.url+'" width="100%" height="100%" controls="controls" x5-playsinline="" playsinline="" webkit-playsinline="true" autoplay="autoplay" style="width: 100%; height: 100%; background-color: rgb(0, 0, 0); display:block;"></video>')
        } );
    } );
}

/** 处理正文音频 **/
function replaceAudio() {
    $( "embed[data-plugin-type='audio']" ).each( function( index, embed ) {
        var program = JSON.parse( decodeURIComponent( embed.getAttribute( "data-value" ) ) );
        console.dir( program );
        var url = program.mmsURL + "/amc/getProgramVideoPlayUrl.jspa?callback=?";
        $.getJSON( url, { programId:program.id, programVideoId:program.video.videoId, videoType:"PC" }, function( res ) {
            var stream = res.data.streamList[0];
            $( embed ).replaceWith( "<audio controls src='" + stream.url + "'></audio>" );
        } );
    } );
}

/** 强制处理图片、表格、内链 **/
function formatContent() {
    $( ".content img, .content table" ).each( function( i, elem ) {
        if( elem.getAttribute( "data-plugin-type" ) == "video" ) return true;
        elem.style.maxWidth = "100%";
        elem.style.minWidth = "auto";
        elem.style.width = "auto";
        elem.style.height = "auto";
        elem.style.margin = "0";
    } );
    $( "section[data-plugin-type]").css( "text-indent", "0" );
    $( "section[data-plugin-type]" ).find( "center" ).css( "text-indent", "0" );
}

/** 评论表情替换 **/
function replaceCommentFace() {
    $( ".comment" ).find( "emo" ).each( function( i, emo ) {
        $( emo ).replaceWith( "<img src='face/" + emo.innerHTML.split( "|" )[0] + ".gif'/>" );
    } );
}
